Bug 1930080 (CVE-2021-27364) - CVE-2021-27364 kernel: out-of-bounds read in libiscsi module
Summary: CVE-2021-27364 kernel: out-of-bounds read in libiscsi module
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-27364
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1930820 1930821 1930822 1930823 1930824 1930825 1930826 1930827 1930828 1930829 1930830 1930831 1930832 1930833 1930834 1930835 1930836 1930837 1930838 1930839 1930840 1930841 1930842 1931361 1931362 1931363 1935907
Blocks: 1929972
TreeView+ depends on / blocked
 
Reported: 2021-02-18 10:34 UTC by msiddiqu
Modified: 2022-04-17 21:09 UTC (History)
55 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. An out-of-bounds read was discovered in the libiscsi module that could lead to reading kernel memory or a crash. The highest threat from this vulnerability is to data confidentiality as well as system availability.
Clone Of:
Environment:
Last Closed: 2021-04-06 17:35:56 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:2494 0 None None None 2021-06-21 05:38:55 UTC

Description msiddiqu 2021-02-18 10:34:00 UTC
An out-of-bounds read was discovered in the Linux kernel in the libiscsi module (drivers/scsi/libiscsi.c). This bug is triggered via a call to send_pdu

Comment 1 Wade Mealing 2021-02-19 03:29:55 UTC
Mitigation:


The LIBISCSI module will be auto-loaded when required, its use can be disabled  by preventing the module from loading with the following instructions:

# echo "install libiscsi /bin/true" >> /etc/modprobe.d/disable-libiscsi.conf

The system will need to be restarted if the libiscsi modules are loaded. In most circumstances, the libiscsi kernel modules will be unable to be unloaded while any network interfaces are active and the protocol is in use.

If the system requires iscsi to work correctly, this mitigation may not be suitable.

If you need further assistance, see KCS article https://access.redhat.com/solutions/41278 or contact Red Hat Global Support Services.

Comment 4 Petr Matousek 2021-02-19 15:13:23 UTC
Statement:

Red Hat Product Security is aware of this issue. Updates will be released as they become available.

Comment 9 Petr Matousek 2021-03-05 19:03:53 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1935907]

Comment 10 Petr Matousek 2021-03-06 16:53:22 UTC
Acknowledgments:

Name: Adam Nichols (GRIMM)

Comment 12 Justin M. Forbes 2021-03-09 16:56:54 UTC
This was fixed for Fedora with the 5.10.21 stable kernel updates.

Comment 16 errata-xmlrpc 2021-04-06 07:55:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:1070 https://access.redhat.com/errata/RHSA-2021:1070

Comment 17 errata-xmlrpc 2021-04-06 08:47:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:1069 https://access.redhat.com/errata/RHSA-2021:1069

Comment 18 errata-xmlrpc 2021-04-06 09:28:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:1071 https://access.redhat.com/errata/RHSA-2021:1071

Comment 19 errata-xmlrpc 2021-04-06 13:58:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:1081 https://access.redhat.com/errata/RHSA-2021:1081

Comment 20 errata-xmlrpc 2021-04-06 14:17:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:1093 https://access.redhat.com/errata/RHSA-2021:1093

Comment 21 Product Security DevOps Team 2021-04-06 17:35:56 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-27364

Comment 23 errata-xmlrpc 2021-04-13 10:36:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2021:1173 https://access.redhat.com/errata/RHSA-2021:1173

Comment 24 errata-xmlrpc 2021-04-13 10:44:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2021:1171 https://access.redhat.com/errata/RHSA-2021:1171

Comment 25 errata-xmlrpc 2021-04-20 12:54:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Advanced Update Support
  Red Hat Enterprise Linux 7.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.4 Telco Extended Update Support

Via RHSA-2021:1267 https://access.redhat.com/errata/RHSA-2021:1267

Comment 26 errata-xmlrpc 2021-04-20 13:02:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:1279 https://access.redhat.com/errata/RHSA-2021:1279

Comment 27 errata-xmlrpc 2021-04-20 13:16:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:1272 https://access.redhat.com/errata/RHSA-2021:1272

Comment 28 errata-xmlrpc 2021-04-20 15:13:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Extended Lifecycle Support

Via RHSA-2021:1288 https://access.redhat.com/errata/RHSA-2021:1288

Comment 29 errata-xmlrpc 2021-04-20 15:33:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.2 Advanced Update Support

Via RHSA-2021:1289 https://access.redhat.com/errata/RHSA-2021:1289

Comment 30 errata-xmlrpc 2021-04-20 20:47:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:1295 https://access.redhat.com/errata/RHSA-2021:1295

Comment 31 errata-xmlrpc 2021-04-27 06:51:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.3 Advanced Update Support

Via RHSA-2021:1373 https://access.redhat.com/errata/RHSA-2021:1373

Comment 32 errata-xmlrpc 2021-04-27 07:21:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:1379 https://access.redhat.com/errata/RHSA-2021:1379

Comment 33 errata-xmlrpc 2021-04-27 08:31:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Extended Update Support

Via RHSA-2021:1376 https://access.redhat.com/errata/RHSA-2021:1376

Comment 34 errata-xmlrpc 2021-04-27 08:31:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Extended Update Support

Via RHSA-2021:1377 https://access.redhat.com/errata/RHSA-2021:1377

Comment 36 errata-xmlrpc 2021-05-11 12:30:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2021:1531 https://access.redhat.com/errata/RHSA-2021:1531

Comment 37 errata-xmlrpc 2021-05-11 12:30:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2021:1532 https://access.redhat.com/errata/RHSA-2021:1532


Note You need to log in before you can comment on or make changes to this bug.